package dkolev.gradesloader;

import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebView;
import dkolev.html.*;

public class Loader extends Activity {


	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		WebView webview = new WebView(this);
		String result = "<strong>Loading your grades</strong><p>Please wait...";

		webview.loadData(result, "text/html", "utf-8");
		setContentView(webview);
	}
	
	@Override
	public void onStart()
	{
		super.onStart();
	
		WebView webview = new WebView(this);
		String result = "<font color=\"red\">Oops, no grades available at this time or I cannot retrieve them.</font>";

		try {

			SourceDownloader gdl = new SourceDownloader();

			result = gdl.getSource("http://apps-swe432.ite.gmu.edu:8080/swe432/jsp/dkolev/gradereport.jsp", true);

			webview.loadData(result.trim(), "text/html", "utf-8");

		} catch (Exception ex) {
			webview.loadData(result, "text/html", "utf-8");
		}

		finally {

			setContentView(webview);
		}		
	}
}